# Health (Coinbax Core API)

> Source: https://developers.coinbax.com/reference/coinbax-core/health/
> Staging base URL: https://core-staging.coinbax.com/api/v1

System health checks

## Health check

`GET /health`

- Auth: Public (no authentication)
- Operation ID: `healthCheck`

Returns the health status of the API

### Example request

```bash
curl https://core-staging.coinbax.com/api/v1/health
```

### Responses

**200** Service is healthy

```json
{
  "success": true,
  "data": {
    "status": "healthy",
    "timestamp": "2026-02-24T12:00:00.000Z",
    "version": "1.0.0"
  },
  "meta": {
    "timestamp": "2026-02-24T12:00:00.000Z",
    "requestId": "550e8400-e29b-41d4-a716-446655440000"
  }
}
```

**500** Internal server error

---

## Database health check

`GET /health/database`

- Auth: Bearer token
- Operation ID: `healthCheckDatabase`

### Example request

```bash
curl https://core-staging.coinbax.com/api/v1/health/database \
  -H "Authorization: Bearer $ACCESS_TOKEN"
```

### Responses

**200** Database is healthy

**503** Database is unhealthy

---

## Redis health check

`GET /health/redis`

- Auth: Bearer token
- Operation ID: `healthCheckRedis`

### Example request

```bash
curl https://core-staging.coinbax.com/api/v1/health/redis \
  -H "Authorization: Bearer $ACCESS_TOKEN"
```

### Responses

**200** Redis is healthy

**503** Redis is unhealthy

---

## Storage health check

`GET /health/storage`

- Auth: Bearer token
- Operation ID: `healthCheckStorage`

### Example request

```bash
curl https://core-staging.coinbax.com/api/v1/health/storage \
  -H "Authorization: Bearer $ACCESS_TOKEN"
```

### Responses

**200** Storage is healthy

**503** Storage is unhealthy
